Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Verify a protocol

Request

Security
Bearer
Path
idinteger(int32)required

The id of the protocol to verify

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-verification/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The protocol verification data

Bodyapplication/jsonArray [
expectedLabwareIdinteger(int32)

The database id of the labware that is expected to be in the position, will be -1 if isExpectedOccupied is false

isExpectedOccupiedboolean

The flag specifying whether the position is expected to be occupied or not

statusstring or null

The status of the verification, options are Correct, Missing, Incorrect, Occupied, ConfirmationRequired

detectedLabwareIdinteger(int32)

The database id of the labware determined by the scan

confidencenumber(double)

The confidence value of the prediction [0,1]

isOccupiedboolean

The flag specifying if the scan predicted an empty position or not

positionIdinteger(int32)

The position id

labwareClassificationstring or null

The predicted labware classification, Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier

matchesArray of objects or null(DeckScanResultDto)

The list of nearest matches sorted by confidence

residualTipDataobject(ResidualTipDataDto)

The tip assignment for a given tip rack

]
Response
application/json
[ { "expectedLabwareId": 0, "isExpectedOccupied": true, "status": "string", "detectedLabwareId": 0, "confidence": 0.1, "isOccupied": true, "positionId": 0, "labwareClassification": "string", "matches": [], "residualTipData": {} } ]

Detect the tips at a position for a given protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The id of the protocol

positionIdinteger(int32)required

The id of the deck position where tips should be located

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-verification/detect-tips/{protocolId}/{positionId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The detected tip data for the provided protocol at the deck position

Bodyapplication/json
useAllAddressesboolean

Flag to specify using all address on the tip rack

addressesArray of objects or null(AddressDto)

User specified positions which contain tips

Response
application/json
{ "useAllAddresses": true, "addresses": [ {} ] }

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations